@import "~src/styles.scss";

/**
 * Variables
 */
 $img-size: 800px;
 $img-shadow: rgba( $color-gray-2, 0.4 );
 $img-mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.2) 10%, rgba(0, 0, 0, 1) 20%);
 $content-overlap: 150;

 /**
  * Elements
  */

  div.title-placeholder {
    width: 100%;
    height: $img-size - $content-overlap;
    position: relative;
    display: flex;
    flex-direction: column-reverse;

    h1 {
      color: #fff;
      text-shadow: 1px 1px 1px $color-gray-2;
      width: 100%;
      text-align: center;
      padding-bottom: 100px;
    }
  }

  div.top-img-container {
      max-height: $img-size;
      overflow: hidden;
      background-color: black;
      width: 100%;
      z-index: 0;
      position: absolute;

    div.top-img-inner-container{
        margin: -8px;       // Cut the blurred border
        position: relative;
    }

    video {
        min-width: 100%;
        min-height: $img-size;
    }

    img {
      mask-image: $img-mask-image;
      min-width: 100vw;
      filter: blur(4px);
    }

    .top-img-shadow {
      position: absolute;
      top: 0px;
      background-color: $img-shadow;
      color: white;
      width: 100%;
      height: 100%;
    }
}
